#include<bits/stdc++.h>
#define MOD 1000000007LL
#define ll long long

using namespace std;

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    char c1,c2;
    cin>>c1>>c2;
    int a,b;
    cin>>a>>b;
    if(abs(a-b)>=2){
        cout<<"nemoguce";
    }
    else{
        if(a==b){
            for(int i=0;i<a;i++){
                cout<<c1<<c2;
            }
        }
        if(a-b==1){
            for(int i=0;i<b;i++){
                cout<<c1<<c2;
            }
            cout<<c1;
        }
        if(b-a==1){
            for(int i=0;i<a;i++){
                cout<<c2<<c1;
            }
            cout<<c2;
        }
    }
    return 0;
}